Inbox Recipients

An InboxRecipient is a person who has had an inbox shared with them via email invitation.

List Inbox Recipients

Endpoint

GET/inbox_recipients

Return Object

InboxRecipient[]

Authorization Requirement

Available to all authenticated keys or sessions.

Request Parameters

ParameterDescription
inbox_id
int64
Required
List recipients for the inbox with this ID.

Additional Arguments

Example Request

curl "https://app.files.com/api/rest/v1/inbox_recipients.json?inbox_id=1" \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

[
  {
    "company": "Acme Inc.",
    "name": "John Doe",
    "note": "Some note.",
    "recipient": "john.doe@example.com",
    "sent_at": "2000-01-01T01:00:00Z"
  }
]

Create Inbox Recipient

Endpoint

POST/inbox_recipients

Return Object

InboxRecipient

Authorization Requirement

Available to all authenticated keys or sessions.

Request Parameters

ParameterDescription
inbox_id
int64
Required
Inbox to share.
recipient
string
Required
Email address to share this inbox with.
name
string
Name of recipient.
company
string
Company of recipient.
note
string
Note to include in email.
share_after_create
boolean
Set to true to share the link with the recipient upon creation.

Example Request

curl https://app.files.com/api/rest/v1/inbox_recipients.json \
  -X POST \
  -H 'Content-Type: application/json' \
  -d '{"inbox_id":1,"recipient":"johndoe@gmail.com","name":"John Smith","company":"Acme Ltd","note":"Just a note.","share_after_create":false}' \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "company": "Acme Inc.",
  "name": "John Doe",
  "note": "Some note.",
  "recipient": "john.doe@example.com",
  "sent_at": "2000-01-01T01:00:00Z"
}

The InboxRecipient Object

Some of the endpoints above return a InboxRecipient object. The attributes of this object are listed below.

AttributeDescription
company
string
The recipient's company.
name
string
The recipient's name.
note
string
A note sent to the recipient with the inbox.
recipient
string
The recipient's email address.
sent_at
date-time
When the Inbox was shared with this recipient.

Example InboxRecipient Object

{
  "company": "Acme Inc.",
  "name": "John Doe",
  "note": "Some note.",
  "recipient": "john.doe@example.com",
  "sent_at": "2000-01-01T01:00:00Z"
}